Saltar para o conteúdo principal
POST
/
kling
/
v1
/
videos
/
multi-elements
/
init-selection
curl --request POST \
  --url https://api.cometapi.com/kling/v1/videos/multi-elements/init-selection \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "video_id": "784912347344945152",
  "task_id": "784912347277836288"
}
'
{
  "code": 123,
  "message": "<string>",
  "data": {
    "session_id": "<string>"
  }
}
Use este endpoint para abrir uma sessão de edição de vídeo e obter o session_id exigido por todas as etapas posteriores de edição multimodal.

Escolha um caminho de entrada

  • Vídeo gerado pelo Kling: envie video_id mais o task_id pai
  • Vídeo externo ou já hospedado: envie video_url
  • Não envie ambos os caminhos de entrada ao mesmo tempo

Papel no fluxo de trabalho

1

Inicializar a sessão

Envie o clipe de origem e salve o session_id retornado.
2

Marcar pontos de seleção

Continue com Add Video Selection para definir a região que você deseja editar.
3

Enviar a tarefa de edição final

Depois que a seleção estiver pronta, continue com Create Task.
Para a referência completa de parâmetros, consulte a documentação da API do Kling.

Autorizações

Authorization
string
header
obrigatório

Bearer token authentication. Use your CometAPI key.

Corpo

application/json
video_id
string
padrão:784912347344945152
obrigatório

The video ID generated by Kling; choose either this or video_url, they cannot be passed simultaneously. Select the video to be edited from historical works using the video ID. Only supports video works generated within the last 30 days; only supports videos with a duration of ≥2 seconds and ≤5.5 seconds, or ≥7 seconds and ≤10.5 seconds. Related to the video_url parameter, they cannot both be empty or both have values.

task_id
string
padrão:784912347277836288
obrigatório

When passing video_id, the task_id from when the video was generated must also be passed.

video_url
string
padrão:https://v15-kling.klingai.com/bs2/upload-ylab-stunt-sgp/se/stream_lake_m2v_img2video_multi_id_v16_std/aa12ae6e-450d-4f36-b2d0-74376b313268_raw_video.mp4?x-kcdn-pid=112372

The URL to get the video. When uploading, pass the video download link. When editing a selection, pass the video URL returned by the interface.

Only supports MP4 and MOV formats. Only supports videos with a duration of ≥2 seconds and ≤5.5 seconds, or ≥7 seconds and ≤10.5 seconds. The width and height dimensions of the video must be between 720px (inclusive) and 2160px (inclusive). Only supports uploading videos at 24, 30, or 60 fps. Related to the video_id parameter, they cannot both be empty or both have values.

Resposta

200 - application/json

Session initialized.

code
integer
obrigatório
message
string
obrigatório
data
object
obrigatório